%global _hardened_build 1
%global debug_package %{nil}

Summary:	ACME is a free cross assembler
Name:		acme-crossass
Version:	20240908_r423
Release:	1%{?dist}
License:	GPLv2+
URL:		https://sourceforge.net/projects/acme-crossass/
Source0:        acme-crossass-code-0-%{version}.tar.gz

BuildRequires:	gcc

%description
ACME can produce code for the following processors:
6502, 6510 (including illegal opcodes), 65c02 and 65816.
ACME supports the standard assembler stuff like global/local/anonymous
labels, offset assembly, conditional assembly and looping assembly.
It can include other source files as well as binaries while assembling.
Calculations can be done in integer or float mode.

%prep
%autosetup -n %{name}-code-0-%{version}

%build
pushd src
%make_build
popd

%install
install -D src/acme %{buildroot}/%{_bindir}/acme

%files
%doc docs/* contrib
%{_bindir}/acme

%changelog
* Mon Sep 09 2024 Greg Wildman <greg@techno.co.za> - 20240908_r423-1
- SVN checkout r423

* Mon Jan 31 2022 Greg Wildman <greg@techno.co.za> - 20211105_r323-1
* Sun Jul 30 2023 Greg Wildman <greg@techno.co.za> - 20230320_r325-1
- SVN checkout r325

* Mon Jan 31 2022 Greg Wildman <greg@techno.co.za> - 20211105_r323-1
- SVN checkout r323

* Thu Jun 24 2021 Greg Wildman <greg@techno.co.za> - 20210214_r319-1
- SVN checkout r319

* Tue May 26 2020 Greg Wildman <greg@techno.co.za> - 20200526_r191-1
- SVN checkout r191

* Sun Apr 21 2019 Greg Wildman <greg@techno.co.za> - 20190421.r112-1
- SVN checkout r112

* Mon Oct 15 2018 Greg Wildman <greg@techno.co.za> - 20180805.r102-1
- Initial spec.
- SVN checkout r102

